Subject: bug#35914: [core-updates] Guile sporadically fails to build

From: Marius Bakke <[email-masked]>
Date: Sun, 26 May 2019 09:23:09 +0200

Hello!

Since the switch to GCC7, building 'guile' occasionally fails due to a
test failure in 'test-out-of-memory.scm'.

  GC Warning: Out of Memory! Heap size: 1 MiB. Returning NULL!
  error creating finalization thread: Cannot allocate memory

This has been reported "upstream" in
<https://issues.guix.info/issue/29464>.  I don't know whether this is
indicative of a real problem, or if it's safe to ignore this test.

Thoughts?